Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.folderindex
Class FolderIndexTool

    java.lang.Object
      oracle.ifs.admin.tools.BaseTool
          oracle.ifs.admin.tools.folderindex.FolderIndexTool

Direct Known Subclasses:
  CreateFolderIndex, DropFolderIndex, UpdateFolderIndex

    public abstract class FolderIndexTool

extends BaseTool

FolderIndexTool is an abstract base class for tools that create, drop, rebuild, or inspect the Folder Index. These tools can be run non-interactively or via a rudimentary commandline dialog obtain session and service credentials. It inherits the gathering of inputs for service startup and session creation from the base class BaseTool.

(Unpublished)

Constructor Summary
`FolderIndexTool(java.lang.String[] args)` Constructor.

Method Summary
`long` | `applyDeferredUpdates(LibrarySession session)` Apply deferred updates.
`void` | `changeUpdateMode(LibrarySession session, boolean isSync)` Change update mode to either synchronous or asynchronous.
`void` | `completeIndexCreation(LibrarySession session, boolean creationDeferred)` Completes the creation of the folder index.
`void` | `createFolderIndexTables(LibrarySession session, int maxLevel)` Create the tables that comprise the folder index.
`void` | `createInitialFolderIndexRows(LibrarySession session)` Create the tables that comprise the folder index.
`void` | `dropIndex(LibrarySession session)` Drop the folder index.
`int` | `getMaxLevel(LibrarySession session)` get the maximum folder index level.
`boolean` | `isIndexEnabled(LibrarySession session)` return true if there is a folder index enabled currently.
`boolean` | `isUpdateModeSynchronous(LibrarySession session)` return true if the update mode of the folder index is synchronous.
`void` | `promoteFolder(LibrarySession session, Folder folder, int newLevel)` Promote a folder to a higher index level.
`void` | `promoteFoldersByPath(LibrarySession session, java.lang.String[] paths, int newLevel)` Promote folders to a higher index level.
`void` | `rebuildIndex(LibrarySession session)` Rebuild index.
`void` | `resetFolderIndexRows(LibrarySession session)` Delete all rows form the folder index except for the "self" rows used to register each existing folder.
`void` | `setUseExistsClause(LibrarySession session, boolean useExists)` Update the 'UseExistsClause' property on the FolderIndex propertyBundle event target.

Methods inherited from class oracle.ifs.admin.tools.BaseTool
`disconnectSession, establishSession, establishSession, gatherCredentials, getDatabaseUrl, getDomain, getDomainDisplayName, getExitCode, getParameterTable, getSchemaName, getSchemaPassword, getServiceConfigurationName, getServiceName, isVerboseLoggingEnabled, log, log, log, printStackTrace, setExitCode, showBanner, showExiting, startService`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FolderIndexTool

    public FolderIndexTool(java.lang.String[] args)

  Constructor.

  Parameters:
    `args` - the command-line arguments
  (Unpublished)

Method Detail

### isIndexEnabled

    public boolean isIndexEnabled(LibrarySession session)
                           throws IfsException

  Description copied from class: `FolderIndexTool`
  return true if there is a folder index enabled currently.

  Parameters:
    `session` - the session
  Returns:
    true if there is a folder index enabled
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### getMaxLevel

    public int getMaxLevel(LibrarySession session)
                    throws IfsException

  Description copied from class: `FolderIndexTool`
  get the maximum folder index level. Will return -1 if no index exists.

  Parameters:
    `session` - the session
  Returns:
    the max level.
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### isUpdateModeSynchronous

    public boolean isUpdateModeSynchronous(LibrarySession session)
                                    throws IfsException

  Description copied from class: `FolderIndexTool`
  return true if the update mode of the folder index is synchronous. This also returns true if there is no folder index.

  Parameters:
    `session` - the session
  Returns:
    true if the update mode of the folder index is synchronous.
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### createFolderIndexTables

    public void createFolderIndexTables(LibrarySession session,
                                        int maxLevel)
                                 throws IfsException

  Description copied from class: `FolderIndexTool`
  Create the tables that comprise the folder index. Also initialize the table with "self" rows for all existing folders. All entries are initialized at level 0 of the folder index.

  Parameters:
    `session` - the session
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### createInitialFolderIndexRows

    public void createInitialFolderIndexRows(LibrarySession session)
                                      throws IfsException

  Description copied from class: `FolderIndexTool`
  Create the tables that comprise the folder index. Also initialize the table with "self" rows for all existing folders. All entries are initialized at level 0 of the folder index.

  Parameters:
    `session` - the session
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### resetFolderIndexRows

    public void resetFolderIndexRows(LibrarySession session)
                              throws IfsException

  Description copied from class: `FolderIndexTool`
  Delete all rows form the folder index except for the "self" rows used to register each existing folder.

  Parameters:
    `session` - the session
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### dropIndex

    public void dropIndex(LibrarySession session)
                   throws IfsException

  Description copied from class: `FolderIndexTool`
  Drop the folder index. This method has no effect if there is no index to drop.

  Parameters:
    `session` - the session
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### completeIndexCreation

    public void completeIndexCreation(LibrarySession session,
                                      boolean creationDeferred)
                               throws IfsException

  Description copied from class: `FolderIndexTool`
  Completes the creation of the folder index. This must be done to remove the "partially created" flag on the index.

  Parameters:
    `session` - the session
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### changeUpdateMode

    public void changeUpdateMode(LibrarySession session,
                                 boolean isSync)
                          throws IfsException

  Description copied from class: `FolderIndexTool`
  Change update mode to either synchronous or asynchronous. If the specified mode is the same as the current mode of the index, no change takes place (and no exception is thrown)

  Parameters:
    `session` - the session
    `isSync` - the desired update mode; true indicates synchronous, false indicates asynchronous
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### promoteFolder

    public void promoteFolder(LibrarySession session,
                              Folder folder,
                              int newLevel)
                       throws IfsException

  Description copied from class: `FolderIndexTool`
  Promote a folder to a higher index level.

  Parameters:
    `session` - the session
    `folder` - the folder to promote
    `newLevel` - the new level
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### promoteFoldersByPath

    public void promoteFoldersByPath(LibrarySession session,
                                     java.lang.String[] paths,
                                     int newLevel)
                              throws IfsException

  Description copied from class: `FolderIndexTool`
  Promote folders to a higher index level. The folders are specifed by absolute folder path.

  Parameters:
    `session` - the session
    `paths` - the folders to promote (the paths)
    `newLevel` - the new level
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### rebuildIndex

    public void rebuildIndex(LibrarySession session)
                      throws IfsException

  Description copied from class: `FolderIndexTool`
  Rebuild index. Assume that the index has been either reset back to a state where only self rows exist, or that a new index has been created, but only self rows currently exist.

  Parameters:
    `session` - the session
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### applyDeferredUpdates

    public long applyDeferredUpdates(LibrarySession session)
                              throws IfsException

  Description copied from class: `FolderIndexTool`
  Apply deferred updates.

  Parameters:
    `session` - the session
  Returns:
    the number of updates applied
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### setUseExistsClause

    public void setUseExistsClause(LibrarySession session,
                                   boolean useExists)
                            throws IfsException

  Description copied from class: `FolderIndexTool`
  Update the 'UseExistsClause' property on the FolderIndex propertyBundle event target.

  Parameters:
    `session` - the session
    `useExists` - the desired value for the search property
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD